import Vue from "vue";
import App from "./App.vue";
import router from "./router";
import store from "./store";
import vuetify from "./plugins/vuetify";
// Video Background
import VideoBackground from "vue-responsive-video-background-player";
// Page Transitions
import VuePageTransition from "vue-page-transition";
// Animations
import AOS from "aos";
import "aos/dist/aos.css";
// Stripe Appbar Menu
import VueStripeMenu from "vue-stripe-menu";
import "./scss/_appbar.scss";
// Fontawesome
import { FontAwesomeIcon } from "@fortawesome/vue-fontawesome";

Vue.config.productionTip = false;

Vue.component("font-awesome-icon", FontAwesomeIcon);

Vue.component("video-background", VideoBackground);

Vue.use(VuePageTransition);
Vue.use(VueStripeMenu);

new Vue({
  created() {
    AOS.init();
  },
  router,
  store,
  vuetify,
  render: h => h(App)
}).$mount("#app");
